### Function

# GLib strconcat

#### Declaration [src]

    gchar*
    g_strconcat (
      const gchar* string1,
      ...
    )

#### Description [src]

Concatenates all of the given strings into one long string.

The variable argument list must end with `NULL`. If you forget the `NULL`, `g_strconcat()` will start appending random memory junk to your string.

Note that this function is usually not the right function to use to assemble a translated message from pieces, since proper translation often requires the pieces to be reordered.

This function is not directly available to language bindings.

#### Parameters

`string1`

  Type: `const gchar*`

  The first string to add, which must not be `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list of strings to append to the string.

#### Return value

Type: `gchar*`

A newly-allocated string containing all the string arguments.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.